# Uses of Interface
org.opensaml.saml.saml2.metadata.ContactPerson

Packages that use ContactPerson
Package
Description
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of ContactPerson in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl that return types with arguments of type ContactPerson
Modifier and Type
Method
Description
`default List<ContactPerson>`
MetadataGeneratorParameters.`getContactPersons()`
Get the contacts.

## Uses of ContactPerson in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type ContactPerson
Modifier and Type
Method
Description
`List<ContactPerson>`
EntityDescriptor.`getContactPersons()`
Get the contact people for this entity.
`List<ContactPerson>`
RoleDescriptor.`getContactPersons()`
Gets list of `ContactPerson`s for this role.

## Uses of ContactPerson in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement ContactPerson
Modifier and Type
Class
Description
`class`
`ContactPersonImpl`
Concrete implementation of `ContactPerson`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type ContactPerson
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<ContactPerson>`
EntityDescriptorImpl.`contactPersons`
Contact persons for this entity.
`private final XMLObjectChildrenList<ContactPerson>`
RoleDescriptorImpl.`contactPersons`
Contact persons for this role.
`private RoleDescriptorXSAnyAdapter.MutableChildrenList<ContactPerson>`
RoleDescriptorXSAnyAdapter.`contactPersons`
ContactPerson children.
Methods in org.opensaml.saml.saml2.metadata.impl that return ContactPerson
Modifier and Type
Method
Description
`ContactPerson`
ContactPersonBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ContactPerson`
ContactPersonBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type ContactPerson
Modifier and Type
Method
Description
`List<ContactPerson>`
EntityDescriptorImpl.`getContactPersons()`
Get the contact people for this entity.
`List<ContactPerson>`
RoleDescriptorImpl.`getContactPersons()`
Gets list of `ContactPerson`s for this role.
`List<ContactPerson>`
RoleDescriptorXSAnyAdapter.`getContactPersons()`
Gets list of `ContactPerson`s for this role.